companies
Returns all companies the user has access to
companies(
page: Int
limit: Int
params: CompanySearch
order: OrderScopesParams
orderType: OrderParams
): CompanyCollection
Arguments
companies.page ● Int scalar
companies.limit ● Int scalar
companies.params ● CompanySearch input
companies.order ● OrderScopesParams enum
companies.orderType ● OrderParams enum
ASC or DESC
Type
CompanyCollection object
CompanyCollection type
Example request
This generated query uses placeholders for required values. Replace them with values available to your API key before running it.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetCompanies {\n companies { collection { id label active } metadata { currentPage limitValue totalCount } }\n}","variables":{}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "query GetCompanies {\n companies { collection { id label active } metadata { currentPage limitValue totalCount } }\n}",
variables: {},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "query GetCompanies {\n companies { collection { id label active } metadata { currentPage limitValue totalCount } }\n}",
'variables': json.loads("{}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute